# MatLUCheckShift_inline

shift the diagonals when zero pivot is detected on LU factor

### Synopsis

    #define MatLUCheckShift_inline(info,sctx,row,newshift) 0;\

Collective on Mat

### Input Parameters

| info | - information about the matrix factorization
| sctx | - pointer to the struct LUShift_Ctx
| row | - active row index

### Output Parameter

| newshift | - 0: shift is unchanged; 1: shft is updated; -1: zeropivot

Level:developer
Location: src/mat/../../include/private/matimpl.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages